package com.ruoyi.ss.vipOrder.domain.bo;

import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.store.domain.StoreVo;
import com.ruoyi.ss.user.domain.SmUserVO;
import com.ruoyi.ss.vipLevel.domain.VipLevelVO;
import com.ruoyi.ss.vipLevelSku.domain.VipLevelSkuVO;
import com.ruoyi.ss.vipOrder.domain.VipOrder;
import com.ruoyi.ss.vipOrder.domain.dto.AddPayVipOrderDTO;
import lombok.Data;

/**
 * @author wjh
 * 2025/1/17
 */
@Data
public class AddPayVipOrderBO {

    // DTO
    private AddPayVipOrderDTO dto;

    // 支付渠道
    private ChannelVO channel;

    // sku
    private VipLevelSkuVO sku;

    // 等级
    private VipLevelVO level;

    // 下单用户
    private SmUserVO user;

    // 商户
    private SmUserVO mch;

    // 店铺
    private StoreVo store;

    // 订单数据
    private VipOrder order;

}
