package com.ruoyi.ss.payBill.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author wjh
 * 2024/12/2
 */
@Data
public class PayDailyAmountVO {

    @ApiModelProperty("日期")
    private LocalDate date;

    @ApiModelProperty("总金额")
    private BigDecimal total;

    @ApiModelProperty("退款总金额")
    private BigDecimal refund;

    @ApiModelProperty("总实收金额")
    private BigDecimal received;

}
