package com.ruoyi.ss.vipLevel.domain;

import com.ruoyi.ss.vipLevelSku.domain.VipLevelSkuVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author wjh
 * 2024/12/9
 */
@Data
public class VipLevelVO extends VipLevel{

    @ApiModelProperty("商户名称")
    private String mchName;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("SKU列表")
    @Size(min = 1, message = "SKU列表不能为空")
    @Valid
    private List<VipLevelSkuVO> skuList;

}
